Employees

Bulk update employees

PATCH
/api/public/v3/employees/bulk

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/public/v3/employees/bulk" \  -H "Content-Type: application/json" \  -d '{    "data": [      {        "id": 0      }    ]  }'
{  "records": {    "count": 0,    "data": [      {        "id": 0,        "status": "string",        "access": true,        "employee_number": "string",        "full_name": "string",        "first_name": "string",        "middle_name": null,        "last_name": "string",        "avatar_url": "string",        "email": "string",        "personal_email": null,        "date_of_birth": "string",        "probation_ends_on": null,        "hired_on": "string",        "gender": null,        "legal_entity": null,        "position": null,        "job_level": null,        "location": null,        "employment_type": null,        "division": null,        "job_profile": null,        "department": null,        "reporting_to": null,        "created_at": "string",        "updated_at": "string",        "direct_reports": null,        "fields": {          "favorite_color": {            "label": "string",            "group": {              "id": 0,              "name": "string"            },            "value": "string"          }        }      }    ]  },  "errors": {    "count": 0,    "data": [      null    ]  }}